Package Details: neovim-git 0.4.0.r2116.geee0668818-1

Git Clone URL: https://aur.archlinux.org/neovim-git.git (read-only, click to copy)
Package Base: neovim-git
Description: Fork of Vim aiming to improve user experience, plugins, and GUIs.
Upstream URL: https://neovim.io
Keywords: editor vim
Licenses: custom:neovim
Conflicts: neovim
Provides: neovim=0.4.0.r2116.geee0668818
Submitter: fhahn
Maintainer: fwalch
Last Packager: fwalch
Votes: 206
Popularity: 0.84
First Submitted: 2014-02-21 19:50
Last Updated: 2020-11-03 17:55

Dependencies (20)

Required by (98)

Sources (1)

Pinned Comments

fwalch commented on 2016-07-04 19:52

Please don't flag this package out-of-date just because the version number displayed on AUR seems old. This is normal for VCS packages. As long as building the package works without problems, it isn't necessary to update the PKGBUILD here. makepkg will automatically retrieve the latest version when you build the package locally.

fhahn commented on 2014-02-24 23:05

thiderman, could you post the error messages without libtool and automake installed? I tried it without and it worked for me.

There was another error with this PKGBUILd though. Upstream, the executable got renamed once again. I've updated the PKGBUILD to use nvim as name for the installed executable instead of neovim, to be closer to upstream.

thiderman commented on 2014-02-24 22:47

libtool and automake are also required as dependencies.

thiderman commented on 2014-02-24 22:45

libtool is needed as a dependency as well.

devm33 commented on 2014-02-24 18:07

The build error below occurres on my system when performing makepkg -s
install: cannot stat ‘/home/devm33/pkgbuild/neovim-git/src/neovim/build/src/vim’: No such file or directory

The following patch will fix it:
--- PKGBUILD.backup 2014-02-25 03:03:04.715858763 +0900
+++ PKGBUILD 2014-02-25 03:03:12.535858948 +0900
@@ -28,7 +28,7 @@
}

package() {
- install -Dm755 "${srcdir}/${_gitname}/build/src/vim" "${pkgdir}/usr/bin/neovim"
+ install -Dm755 "${srcdir}/${_gitname}/build/bin/vim" "${pkgdir}/usr/bin/neovim"
install -Dm644 "${srcdir}/${_gitname}/vim-license.txt" "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
}

Barthalion commented on 2014-02-24 17:04

As I said… https://www.archlinux.org/packages/community/x86_64/libuv/

It should hit your mirrors soon, so neovim-git can be switched back to stable libuv.

Barthalion commented on 2014-02-24 17:01

Probably mtorromeo forgot to run db-update.

Barthalion commented on 2014-02-24 17:01

Libuv has been theoretically moved to [community], no idea why it is not in the repository yet.

fhahn commented on 2014-02-24 16:50

Thanks for the heads up, there were a couple of different libuv PKGBUILDs floating around and I think they got consolidated now.

xyproto commented on 2014-02-24 15:12

libuv does not exist in AUR. Does libuv-git would as a dependency?

diegoviola commented on 2014-02-24 10:29

it should be "21st century".